Skip to main content

Get Balance in Futures Account

Info
  • This endpoint requires signature. For specific signature rules, please refer to Authentication
  • This endpoint will trigger rate limit. For specific rules, please refer to Rate Limit.

HTTP request

GET /assets/futures/balance

Request parameters

None

Return parameters

Info

For relevant concepts of futures margin, please refer to the Help Center Documentation.

Parameter NameTypeNotes
ccystringCurrency name
account_balancestringAccount balance.
Account balance = Cross margin balance + Isolated margin balance = Transferred-in amount - Transferred-out amount + Realized PNL
cross_balancestringCross margin balance.
Cross margin balance = Account balance - Isolated margin balance = Account balance - Isolated margin allocated
isolated_balancestringIsolated margin balance, i.e., the margin allocated by all isolated margin positions.
Isolated margin balance = Isolated margin allocated = Account balance - Cross margin balance
availablestringField to be deprecated. The current meaning is the same as isolated_margin_avbl, i.e., isolated margin available
frozenstringFrozen balance. The frozen initial margin and trading fees, when the current order cannot be executed immediately
marginstringPosition margin.
Position margin = Isolated margin allocated. Cross margin allocated is not actually transferred and used, and is not included in this field
cross_margin_avblstringCross margin available.
Cross margin available = Max(0, Cross margin balance + Total cross margin unrealized PNL - Total cross margin allocated - Frozen margin)
isolated_margin_avblstringIsolated margin available.
Cross theoretical transferable = Max(0, Cross margin balance + Min(0, Total cross margin unrealized PnL) - Total cross margin initial margin - Frozen margin)
Cross risk control transferable = Max(0, Cross position margin - Cross maintenance margin - N * Cross position value)
Isolated margin available = Min(Cross theoretical transferable, Cross risk control transferable)
The N value is tentatively set to 1.5%
transferrablestringTransferable amount in the Futures account, currently equal to isolated_margin_avbl, the available margin in isolated margin mode.
unrealized_pnlstringUnrealized profit. The current PNL of open positions, estimated at the Mark Price or the Latest Price.

Request example

GET /assets/futures/balance

Response example

{
"code": 0,
"data": [
{
"ccy": "CET",
"account_balance": "50673.472275261184",
"cross_balance": "14265.938812991284",
"isolated_balance": "36407.5334622699",
"available": "14265.938812991284",
"frozen": "50634.82448865128",
"margin": "36407.5334622699",
"cross_margin_avbl": "22141.594649278616",
"isolated_margin_avbl": "14265.938812991284",
"unrealized_pnl": "18957.427858971438",
"transferrable": "14265.938812991284"
}
],
"message": "OK"
}